Foundation Models

Browse and call foundation models.

Deprecated

Retrieve available AI models

get

Deprecated – This endpoint will be removed on 2026-05-05. Please refer to the Migration Guidearrow-up-right for instructions on how to migrate.

Retreieve the list of AI models running on the IONOS AI Model Hub. The model identifier is then used with the /predictions endpoint.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Responses
chevron-right
200

Successful operation.

application/json

Deprecated – This schema will be removed on 2026-05-05. Please refer to the Migration Guide for instructions on how to migrate.

idstringRead-onlyRequired

Unique Collection Identifier

Example: 9fa7d335-209c-5a1e-a8b2-686772fe7a33
typestring · enumRequired

Entity type

Possible values:
hrefstringRequired

Resource URL

get
/models
Deprecated

Send a request to the selected AI model

post

Deprecated – This endpoint will be removed on 2026-05-05. Please refer to the Migration Guidearrow-up-right for instructions on how to migrate.

Send a request to the AI model and receive the result. The endpoint is synchronous and will return as soon as the model generates the full reply.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
modelIdstringRequired

The ID of the model.

Body

Deprecated – This schema will be removed on 2026-05-05. Please refer to the Migration Guide for instructions on how to migrate.

typestring · enumRead-onlyRequired

The entity type

Possible values:
Responses
chevron-right
200

Successful operation.

application/json

Deprecated – This schema will be removed on 2026-05-05. Please refer to the Migration Guide for instructions on how to migrate.

typestring · enumRead-onlyRequired

The entity type

Possible values:
post
/models/{modelId}/predictions

Last updated

Was this helpful?